System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

If a class that inherits from is marked with the set to true, Visual Studio's Custom Action Installer or the InstallUtil.exe will be invoked when the assembly is installed. Members marked with the set to false will not invoke an installer. The default is true.

When you mark a property with the set to true, the value of this attribute is set to the constant member . For a property marked with the set to false, the value is . Therefore, when you want to check the value of this attribute in your code, you must specify the attribute as or .

For more information, see Extending Metadata Using Attributes.

Specifies whether the Visual Studio Custom Action Installer or the Installer Tool (Installutil.exe) should be invoked when the assembly is installed.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  true if an installer should be invoked during installation of an assembly; otherwise, false.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RunInstallerAttribute

  When you mark a property with this value, this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies the default visiblity, which is . This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the value of the specified is equivalent to the current .

  true if the specified is equal to the current ; otherwise, false.

  The object to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Generates a hash code for the current .

  A hash code for the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RunInstallerAttribute

  This field is the default setting for this attribute.

  When you mark a property with the set to false, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that the Visual Studio Custom Action Installer or the Installer Tool (Installutil.exe) should not be invoked when the assembly is installed. This static field is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether an installer should be invoked during installation of an assembly.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RunInstallerAttribute

  When you mark a property with the set to true, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that the Visual Studio Custom Action Installer or the Installer Tool (Installutil.exe) should be invoked when the assembly is installed. This static field is read-only.